"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var localization_error_1 = require("./localization_error");
/**
 * This class provides information for the localization service
 * to translate supported languages.
 */
var LocalizationLanguage = (function () {
    /**
     * Creating an instance of the class is only possible by
     * loading it via the 'LoadConfiguration'-function
     *  in the Configuration class.
     */
    function LocalizationLanguage() {
    }
    /**
     * Finds a language in an array of languages by the http key.
     * @param languages The languages where the sought language should be in.
     * @param httpLanguageKey The key of the language which is searched.
     */
    LocalizationLanguage.FindByHttpKey = function (languages, httpLanguageKey) {
        for (var _i = 0, languages_1 = languages; _i < languages_1.length; _i++) {
            var lan = languages_1[_i];
            if (lan.HttpLanguageKey == httpLanguageKey)
                return lan;
        }
        throw new localization_error_1.LocalizationError("Could not find language '" + httpLanguageKey + "' !");
    };
    return LocalizationLanguage;
}());
exports.LocalizationLanguage = LocalizationLanguage;
